# Binance Smart Chain API

### Overview

In Binance's own words, "Binance Smart Chain (BSC) is best described as a blockchain that runs in parallel to the Binance Chain. Unlike the Binance Chain, BSC boasts smart contract functionality and compatibility with the [Ethereum Virtual Machine (EVM)](https://academy.binance.com/en/articles/what-is-ethereum#how-does-ethereum-work). The design goal here was to leave the high throughput of Binance Chain intact while introducing smart contracts into its ecosystem."

Binance Smart Chain achieves \~3 second block times with a Proof-of-Stake consensus algorithm. Specifically, it uses something called *Proof of Staked Authority*, where participants stake BNB to become validators. If they propose a valid block, they’ll receive transaction fees from the included transactions

### BwareLabs supported network types

* Mainnet

### **Available endpoint types on BwareLabs**

* JSON RPC;
* WebSockets;

### Explorer Link - <https://bscscan.com/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bwarelabs.com/api-docs/binance-smart-chain-rpc-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
